/// <reference types="node" />
/// <reference types="node" />
import { AxiosRequestConfig } from "axios";
interface Options {
    serviceName: string;
    prefix: string;
    seal: string;
    axios?: Omit<AxiosRequestConfig, "baseURL">;
}
export interface BinaryFile {
    filename?: string;
    contentType: string;
    buffer: Buffer;
}
export default class MoreAppClient {
    private readonly client;
    constructor(options: Options);
    getBinary(path: string): Promise<BinaryFile>;
    get<T>(path: string): Promise<T>;
    post<T>(path: string, payload: Record<string, any>): Promise<T>;
    delete(path: string): Promise<any>;
}
export {};
