import { z } from "zod";
export declare const EmailAddressSchema: z.ZodEffects<z.ZodString, string, string>;
export declare const FormVersionFieldSchema: z.ZodObject<{
    uid: z.ZodString;
    properties: z.ZodObject<{
        data_name: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        data_name?: string | undefined;
    }, {
        data_name?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    uid: string;
    properties: {
        data_name?: string | undefined;
    };
}, {
    uid: string;
    properties: {
        data_name?: string | undefined;
    };
}>;
export declare const FormVersionSchema: z.ZodObject<{
    fields: z.ZodArray<z.ZodObject<{
        uid: z.ZodString;
        properties: z.ZodObject<{
            data_name: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            data_name?: string | undefined;
        }, {
            data_name?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        uid: string;
        properties: {
            data_name?: string | undefined;
        };
    }, {
        uid: string;
        properties: {
            data_name?: string | undefined;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    fields: {
        uid: string;
        properties: {
            data_name?: string | undefined;
        };
    }[];
}, {
    fields: {
        uid: string;
        properties: {
            data_name?: string | undefined;
        };
    }[];
}>;
export declare const SubmissionSchema: z.ZodObject<{
    id: z.ZodString;
    info: z.ZodObject<{
        customerId: z.ZodNumber;
        formName: z.ZodString;
        date: z.ZodNumber;
        userId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        date: number;
        customerId: number;
        formName: string;
        userId: string;
    }, {
        date: number;
        customerId: number;
        formName: string;
        userId: string;
    }>;
    meta: z.ZodObject<{
        registrationDate: z.ZodString;
        instructionId: z.ZodOptional<z.ZodNullable<z.ZodString>>;
        taskId: z.ZodNullable<z.ZodString>;
        serialNumber: z.ZodNumber;
        guid: z.ZodString;
        location: z.ZodNullable<z.ZodObject<{
            longitude: z.ZodString;
            latitude: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            longitude: string;
            latitude: string;
        }, {
            longitude: string;
            latitude: string;
        }>>;
    }, "strip", z.ZodTypeAny, {
        registrationDate: string;
        taskId: string | null;
        serialNumber: number;
        guid: string;
        location: {
            longitude: string;
            latitude: string;
        } | null;
        instructionId?: string | null | undefined;
    }, {
        registrationDate: string;
        taskId: string | null;
        serialNumber: number;
        guid: string;
        location: {
            longitude: string;
            latitude: string;
        } | null;
        instructionId?: string | null | undefined;
    }>;
    data: z.ZodRecord<z.ZodString, z.ZodAny>;
    mailStatuses: z.ZodOptional<z.ZodNullable<z.ZodArray<z.ZodObject<{
        pdfFileId: z.ZodOptional<z.ZodNullable<z.ZodString>>;
        emailAddresses: z.ZodArray<z.ZodEffects<z.ZodString, string, string>, "many">;
    }, "strip", z.ZodTypeAny, {
        emailAddresses: string[];
        pdfFileId?: string | null | undefined;
    }, {
        emailAddresses: string[];
        pdfFileId?: string | null | undefined;
    }>, "many">>>;
}, "strip", z.ZodTypeAny, {
    data: Record<string, any>;
    id: string;
    info: {
        date: number;
        customerId: number;
        formName: string;
        userId: string;
    };
    meta: {
        registrationDate: string;
        taskId: string | null;
        serialNumber: number;
        guid: string;
        location: {
            longitude: string;
            latitude: string;
        } | null;
        instructionId?: string | null | undefined;
    };
    mailStatuses?: {
        emailAddresses: string[];
        pdfFileId?: string | null | undefined;
    }[] | null | undefined;
}, {
    data: Record<string, any>;
    id: string;
    info: {
        date: number;
        customerId: number;
        formName: string;
        userId: string;
    };
    meta: {
        registrationDate: string;
        taskId: string | null;
        serialNumber: number;
        guid: string;
        location: {
            longitude: string;
            latitude: string;
        } | null;
        instructionId?: string | null | undefined;
    };
    mailStatuses?: {
        emailAddresses: string[];
        pdfFileId?: string | null | undefined;
    }[] | null | undefined;
}>;
export declare const BaseIntegrationRequestSchema: z.ZodObject<{
    view: z.ZodObject<{
        fields: z.ZodArray<z.ZodObject<{
            uid: z.ZodString;
            properties: z.ZodObject<{
                data_name: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                data_name?: string | undefined;
            }, {
                data_name?: string | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            uid: string;
            properties: {
                data_name?: string | undefined;
            };
        }, {
            uid: string;
            properties: {
                data_name?: string | undefined;
            };
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        fields: {
            uid: string;
            properties: {
                data_name?: string | undefined;
            };
        }[];
    }, {
        fields: {
            uid: string;
            properties: {
                data_name?: string | undefined;
            };
        }[];
    }>;
    registration: z.ZodObject<{
        id: z.ZodString;
        info: z.ZodObject<{
            customerId: z.ZodNumber;
            formName: z.ZodString;
            date: z.ZodNumber;
            userId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            date: number;
            customerId: number;
            formName: string;
            userId: string;
        }, {
            date: number;
            customerId: number;
            formName: string;
            userId: string;
        }>;
        meta: z.ZodObject<{
            registrationDate: z.ZodString;
            instructionId: z.ZodOptional<z.ZodNullable<z.ZodString>>;
            taskId: z.ZodNullable<z.ZodString>;
            serialNumber: z.ZodNumber;
            guid: z.ZodString;
            location: z.ZodNullable<z.ZodObject<{
                longitude: z.ZodString;
                latitude: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                longitude: string;
                latitude: string;
            }, {
                longitude: string;
                latitude: string;
            }>>;
        }, "strip", z.ZodTypeAny, {
            registrationDate: string;
            taskId: string | null;
            serialNumber: number;
            guid: string;
            location: {
                longitude: string;
                latitude: string;
            } | null;
            instructionId?: string | null | undefined;
        }, {
            registrationDate: string;
            taskId: string | null;
            serialNumber: number;
            guid: string;
            location: {
                longitude: string;
                latitude: string;
            } | null;
            instructionId?: string | null | undefined;
        }>;
        data: z.ZodRecord<z.ZodString, z.ZodAny>;
        mailStatuses: z.ZodOptional<z.ZodNullable<z.ZodArray<z.ZodObject<{
            pdfFileId: z.ZodOptional<z.ZodNullable<z.ZodString>>;
            emailAddresses: z.ZodArray<z.ZodEffects<z.ZodString, string, string>, "many">;
        }, "strip", z.ZodTypeAny, {
            emailAddresses: string[];
            pdfFileId?: string | null | undefined;
        }, {
            emailAddresses: string[];
            pdfFileId?: string | null | undefined;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        data: Record<string, any>;
        id: string;
        info: {
            date: number;
            customerId: number;
            formName: string;
            userId: string;
        };
        meta: {
            registrationDate: string;
            taskId: string | null;
            serialNumber: number;
            guid: string;
            location: {
                longitude: string;
                latitude: string;
            } | null;
            instructionId?: string | null | undefined;
        };
        mailStatuses?: {
            emailAddresses: string[];
            pdfFileId?: string | null | undefined;
        }[] | null | undefined;
    }, {
        data: Record<string, any>;
        id: string;
        info: {
            date: number;
            customerId: number;
            formName: string;
            userId: string;
        };
        meta: {
            registrationDate: string;
            taskId: string | null;
            serialNumber: number;
            guid: string;
            location: {
                longitude: string;
                latitude: string;
            } | null;
            instructionId?: string | null | undefined;
        };
        mailStatuses?: {
            emailAddresses: string[];
            pdfFileId?: string | null | undefined;
        }[] | null | undefined;
    }>;
    seal: z.ZodString;
    origin: z.ZodString;
    settings: z.ZodObject<{
        dateFormat: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        dateFormat: string;
    }, {
        dateFormat: string;
    }>;
}, "strip", z.ZodTypeAny, {
    view: {
        fields: {
            uid: string;
            properties: {
                data_name?: string | undefined;
            };
        }[];
    };
    registration: {
        data: Record<string, any>;
        id: string;
        info: {
            date: number;
            customerId: number;
            formName: string;
            userId: string;
        };
        meta: {
            registrationDate: string;
            taskId: string | null;
            serialNumber: number;
            guid: string;
            location: {
                longitude: string;
                latitude: string;
            } | null;
            instructionId?: string | null | undefined;
        };
        mailStatuses?: {
            emailAddresses: string[];
            pdfFileId?: string | null | undefined;
        }[] | null | undefined;
    };
    seal: string;
    origin: string;
    settings: {
        dateFormat: string;
    };
}, {
    view: {
        fields: {
            uid: string;
            properties: {
                data_name?: string | undefined;
            };
        }[];
    };
    registration: {
        data: Record<string, any>;
        id: string;
        info: {
            date: number;
            customerId: number;
            formName: string;
            userId: string;
        };
        meta: {
            registrationDate: string;
            taskId: string | null;
            serialNumber: number;
            guid: string;
            location: {
                longitude: string;
                latitude: string;
            } | null;
            instructionId?: string | null | undefined;
        };
        mailStatuses?: {
            emailAddresses: string[];
            pdfFileId?: string | null | undefined;
        }[] | null | undefined;
    };
    seal: string;
    origin: string;
    settings: {
        dateFormat: string;
    };
}>;
