import { z } from "zod";
import { FormVersionFieldSchema, SubmissionSchema } from "./schema";
export type Submission = z.infer<typeof SubmissionSchema>;
export type FormVersionField = z.infer<typeof FormVersionFieldSchema>;
export type IntegrationTestResponse = {
    status: "VALID";
} | {
    status: "INVALID";
    globalError: string;
    fieldErrors?: Record<string, any>;
};
export type IntegrationHandleResponse = {
    status: "SUCCESS";
    files?: {
        type: string;
        name: string;
        data: string;
    }[];
    data?: Record<string, any>;
} | {
    status: "ERROR";
    message: string;
};
